# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name        :   Fastair-i_Shape
# Author      :   Gilles TARNUS
# Contact     :   gta974@gmail.com
# Description :   A script to draw Stair in 4 clicks
# Menu Item   :   2014 to now Extensions->Fastair-i_Shape
#                 until 2014 : Plugins->Fastair-i_Shape
# Usage       :   Select the tool: 
#                 - pick up origin of stair
#                 - pick up the width of stair
#                 - pick up the depth1 of stair
#                 - pick up the depth2 of stair (optionnal if L shape)
#                 - pick up the high depth of stair
# Date        :   10/23/2015
# Type        :   tool
#-----------------------------------------------------------------------------
# plugins_FaStair_menu = UI.menu("Plugins/FaStair")

# require 'FaStair/FaStair-i_shape.rb'
# require 'FaStair/FaStair-L_shape.rb'
# plugins_FaStair_menu.add_item("FaStair-i_Shape"){pickUp_i}
# plugins_FaStair_menu.add_item("FaStair-L_Shape"){pickUp}

FaStair_menu= UI.menu("Plugins")
FaStair_menu=FaStair_menu.add_submenu "FaStair"

require 'FaStair/FaStair-i_shape.rb'
require 'FaStair/FaStair-L_shape.rb'
FaStair_menu.add_item("FaStair-i_Shape"){pickUp_i}
FaStair_menu.add_item("FaStair-L_Shape"){pickUp}