# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name        :   Fastair-i_Shape
# Author      :   Gilles TARNUS
# Contact     :   gta974@gmail.com
# Description :   A script to draw Stair in 4 clicks
# Menu Item   :   2014 to now Extensions->Fastair-i_Shape
#                 until 2014 : Plugins->Fastair-i_Shape
# Usage       :   Select the tool: 
#                 - pick up origin of stair
#                 - pick up the width of stair
#                 - pick up the depth1 of stair
#                 - pick up the depth2 of stair (optionnal if L shape)
#                 - pick up the high depth of stair
# Date        :   11/01/2015
# Type        :   tool
#-----------------------------------------------------------------------------

# LOAD SUPPORT FILES
require 'sketchup.rb'
require 'extensions.rb'

# CREATE EXTENSION
ext = SketchupExtension.new('FaStair', 'FaStair/FaStair.rb')

# EXTENSION INFORMATION
ext.creator     = 'Gilles TARNUS'
ext.version     = '1.0'
ext.copyright   = '2015, Gilles TARNUS'
ext.description = 'Fast creation of straight stairway'

# REGISTER AND LOAD THE EXTENSION
Sketchup.register_extension(ext, true)